--- a/net/mac80211/main.c
+++ b/net/mac80211/main.c
@@ -337,7 +337,7 @@ void ieee80211_restart_hw(struct ieee802
 }
 EXPORT_SYMBOL(ieee80211_restart_hw);
 
-#ifdef CONFIG_INET
+#ifdef __disabled__CONFIG_INET
 static int ieee80211_ifa_changed(struct notifier_block *nb,
 				 unsigned long data, void *arg)
 {
@@ -396,7 +396,7 @@ static int ieee80211_ifa_changed(struct
 }
 #endif
 
-#if IS_ENABLED(CONFIG_IPV6)
+#if IS_ENABLED(__disabled__CONFIG_IPV6)
 static int ieee80211_ifa6_changed(struct notifier_block *nb,
 				  unsigned long data, void *arg)
 {
@@ -1321,14 +1321,14 @@ int ieee80211_register_hw(struct ieee802
 	wiphy_unlock(hw->wiphy);
 	rtnl_unlock();
 
-#ifdef CONFIG_INET
+#ifdef __disabled__CONFIG_INET
 	local->ifa_notifier.notifier_call = ieee80211_ifa_changed;
 	result = register_inetaddr_notifier(&local->ifa_notifier);
 	if (result)
 		goto fail_ifa;
 #endif
 
-#if IS_ENABLED(CONFIG_IPV6)
+#if IS_ENABLED(__disabled__CONFIG_IPV6)
 	local->ifa6_notifier.notifier_call = ieee80211_ifa6_changed;
 	result = register_inet6addr_notifier(&local->ifa6_notifier);
 	if (result)
@@ -1337,13 +1337,13 @@ int ieee80211_register_hw(struct ieee802
 
 	return 0;
 
-#if IS_ENABLED(CONFIG_IPV6)
+#if IS_ENABLED(__disabled__CONFIG_IPV6)
  fail_ifa6:
-#ifdef CONFIG_INET
+#ifdef __disabled__CONFIG_INET
 	unregister_inetaddr_notifier(&local->ifa_notifier);
 #endif
 #endif
-#if defined(CONFIG_INET) || defined(CONFIG_IPV6)
+#if defined(__disabled__CONFIG_INET) || defined(__disabled__CONFIG_IPV6)
  fail_ifa:
 #endif
 	wiphy_unregister(local->hw.wiphy);
@@ -1373,10 +1373,10 @@ void ieee80211_unregister_hw(struct ieee
 	tasklet_kill(&local->tx_pending_tasklet);
 	tasklet_kill(&local->tasklet);
 
-#ifdef CONFIG_INET
+#ifdef __disabled__CONFIG_INET
 	unregister_inetaddr_notifier(&local->ifa_notifier);
 #endif
-#if IS_ENABLED(CONFIG_IPV6)
+#if IS_ENABLED(__disabled__CONFIG_IPV6)
 	unregister_inet6addr_notifier(&local->ifa6_notifier);
 #endif
 
